<?php

// SHA1 hash used

include_once(dirname(__FILE__).'/Base.php');

class TypePassword extends TypeBase
{
  function OnView($Item)
  {
    $Output = '';
    for($I = 0; $I < 6; $I++)
      $Output .= '*';
    return($Output);
  }

  function OnEdit($Item)
  {
    $Output = '<input type="password" name="'.$Item['Name'].'" value=""/>';
    return($Output);
  }

  function OnLoad($Item)
  {
    global $Database;

    $Result = $_POST[$Item['Name']];
    /*
    if(!array_key_exists('SourceItemId', $Item)) $Result = sha1($_POST[$Item['Name']]);    
    else
    {
      $DbRestult = $Database->query('SELECT '.$Item['Name'].' FROM '.$Item['SourceTable'].' WHERE Id='.$Item['SourceItemId']);
      if($DbResult->num_rows > 0)
      {
        $DbRow = $DbResult->fetch_assoc();
        if($_POST[$Item['Name']] == '') $Result = $DbRow[$Item['Name']];
        else $Result = sha1($_POST[$Item['Name']]);
      } else $Result = sha1($_POST[$Item['Name']]);
    }
    */
    return($Result);
  }
  
  function OnSaveDb($Item)
  {
    if($Item['Value'] == '') return(''); 
    else {
      $PasswordHash = new PasswordHash();
      return($PasswordHash->Hash($Item['Value'], $Item['Values']['Salt']));
    }
  }
   
  function OnLoadDb($Item)
  {
    return('');
  }
}
