<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeText extends TypeBase
{
  var $DatabaseCompareOperators = array('Jako' => 'LIKE', 'Rovno' => '=', 'Nerovno' => '!=');

  function OnView($Item)
  {
    $Output = str_replace("\n", '<br />', strip_tags($Item['Value']));
    return($Output);
  }

  function OnEdit($Item)
  {
    $Output = '<textarea name="'.$Item['Name'].'">'.$Item['Value'].'</textarea>';
    return($Output);
  }

  function OnLoad($Item)
  {
    return($_POST[$Item['Name']]);
  }

  function DatabaseEscape($Value)
  {
    return('"'.addslashes($Value).'"');
  }
}
