<?php

class PageFinanceDeviceList extends Page
{
  var $FullTitle = 'Zařízení sítě';
  var $ShortTitle = 'Zařízení';
  var $ParentClass = 'PageFinance';

  function Show()
  {
    // Seznam segmentů a zařízení
    $Price = 0;
    $Output = 'Seznam segmentů a zařízení:<br><table style="font-size: smaller;" class="WideTable"><tr><th>Název</th><th>Spotřeba<br>[W]</th><th>Datum<br>zakoupení</th><th>Cena [Kč]</th></tr>';
    $DbResult = $this->Database->query('SELECT * FROM NetworkSegment');    
    while($Segment = $DbResult->fetch_assoc())
    {
      $Output .= '<tr><td style="text-align: left" colspan="3"><strong>Segment: '.$Segment['Name'].' ('.$Segment['Users'].')</strong></td><td style="font-weight: Bold;" align="right">'.$Segment['Price'].'</td></tr>';
      $DbResult2 = $this->Database->query('SELECT Product.Consumption AS Consumption, Product.Name AS Name, '.
         'StockItem.BuyPrice AS Price, StockItem.TimeEnlistment AS Date '.
         'FROM StockItem JOIN Product ON Product.Id = StockItem.Product WHERE (StockItem.Segment='.$Segment['Id'].') AND (StockItem.TimeElimination IS NULL)');
      while($Row = $DbResult2->fetch_assoc())
      {
        $Output .= '<tr><td style="text-align: left; padding-left: 20px;">'.
          $Row['Name'].'</td><td align="right">'.$Row['Consumption'].'</td><td align="right">'.
          HumanDate($Row['Date']).'</td><td align="right">'.$Row['Price'].'</td></tr>';
      }
      $Price = $Price + $Row['Price'];
    }
    $Output .= '<tr><td colspan="3"><strong>Celkem:</strong></td><td align="right"><strong>'.
      $Price.'</strong></td></tr>';
    $Output .= '</table>';
    return($Output);
  }
}
