<?php

die();

include('../Common/Global.php');
GlobalInit();

/* @var $System System */

$DbResult = $System->Database->select('FinanceInvoice', '*', 'Bill IS NOT NULL');
while($Invoice = $DbResult->fetch_assoc())
{
  $DbResult2 = $System->Database->select('FinanceBills', '*', 'Id='.$Invoice['Bill']);
  $Bill = $DbResult2->fetch_assoc();
  if(strpos($Invoice['Text'], 'Poplatek za měsíc') !== false)
  {
  	$Time = MysqlDateTimeToTime($Invoice['TimeCreation']);
  	$TimeParts = ExtractTime($Time);
  	$PeriodFrom = mktime($TimeParts['Hour'], $TimeParts['Minute'], $TimeParts['Second'],
  			$TimeParts['Month'], 1, $TimeParts['Year']);
  	$PeriodTo = mktime($TimeParts['Hour'], $TimeParts['Minute'], $TimeParts['Second'],
  			$TimeParts['Month'], date('t', $Time), $TimeParts['Year']);
  	$System->Database->query('UPDATE FinanceInvoice SET PeriodFrom = "'.TimeToMysqlDate($PeriodFrom).
      '", PeriodTo ="'.TimeToMysqlDate($PeriodTo).'" WHERE Id='.$Invoice['Id']);
  }
  if(strpos($Invoice['Text'], 'za období') !== false)
  {
  	$Period = substr($Invoice['Text'], strpos($Invoice['Text'], 'za období') + 10);
  	$PeriodFrom = strtotime(substr($Period, 0, strpos($Period, '-')));
  	$PeriodTo = strtotime(substr($Period, strpos($Period, '-') + 1));
  	$System->Database->query('UPDATE FinanceInvoice SET PeriodFrom = "'.TimeToMysqlDate($PeriodFrom).
  			'", PeriodTo ="'.TimeToMysqlDate($PeriodTo).'" WHERE Id='.$Invoice['Id']);
  	 
  }
  
  // SELECT * FROM (SELECT FinanceInvoice.Id, FinanceInvoice.Subject, FinanceInvoice.Value, (SELECT SUM(FinanceBillsItems.Price) FROM FinanceBillsItems WHERE FinanceBillsItems.Bill = FinanceBills.Id) AS BillPrice, (SELECT COUNT(FinanceBillsItems.Price) FROM FinanceBillsItems WHERE FinanceBillsItems.Bill = FinanceBills.Id) AS BillCount, (SELECT GROUP_CONCAT(FinanceBillsItems.Description SEPARATOR ",") FROM FinanceBillsItems WHERE FinanceBillsItems.Bill = FinanceBills.Id GROUP BY FinanceBillsItems.Bill) AS Items, FinanceInvoice.Text FROM `FinanceInvoice` LEFT JOIN FinanceBills ON FinanceBills.Id = FinanceInvoice.Bill WHERE FinanceInvoice.Bill IS NOT NULL) AS T WHERE Text <> Items AND Items <> "Poplatek za připojení k síti"
  
  while($BillItem = $DbResult3->fetch_assoc())
  {
    $System->Database->insert('FinanceInvoiceItem', array('FinanceInvoice' => $Invoice['Id'],
      'Price' => 0));
  }
  echo($Invoice['Text'].' '.$Bill['Id'].'<br>');
}
