<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeRandomHash extends TypeBase
{
  function __construct($FormManager)
  {
    parent::__construct($FormManager);
    $this->Hidden = true;
  }
  
  function OnView($Item)
  {
    $Output = $Item['Value'];
    return($Output);
  }

  function OnEdit($Item)
  {
    if($Item['Value'] == '')
    {
      // Create only once
      $PasswordHash = new PasswordHash();
      $Item['Value'] = $PasswordHash->GetSalt();
    }
    $Output = '<input type="hidden" name="'.$Item['Name'].'" value="'.$Item['Value'].'" />';
    return($Output);
  }

  function OnLoad($Item)
  {
    return($_POST[$Item['Name']]);
  }
}
