<?php

class PageFinanceConsumption extends Page
{
  var $FullTitle = 'Spotřeba energie';
  var $ShortTitle = 'Spotřeba';
  var $ParentClass = 'PageFinance';

  function Show()
  {
    $Finance = $this->System->Modules['Finance'];

    // Seznam segmentů a zařízení
    $Output = 'Spotřeba zařízení jednotlivých segmentů:<div align="center"><table class="WideTable"><tr><th>Jméno segmentu</th><th>Spotřeba [W]</th><th>Cena [Kč/měsíc]</th></tr>';
    $CelkovaSpotreba = 0;
    $DbResult = $this->Database->query('SELECT * FROM NetworkSegment');
    while($Segment = $DbResult->fetch_assoc())
    {
      $DbResult2 = $this->Database->query('SELECT SUM(Product.Consumption) AS Consumption FROM StockItem JOIN Product ON Product.Id = StockItem.Product WHERE (StockItem.Segment='.$Segment['Id'].') AND (StockItem.TimeElimination IS NULL)');
      $Row2 = $DbResult2->fetch_assoc();
      $CelkovaSpotreba = $CelkovaSpotreba + $Row2['Consumption'];
      $Output .= '<tr><td>'.$Segment['Name'].'</td><td align="right">'.$Row2['Consumption'].'</td><td align="right">'.$this->System->Modules['Finance']->W2Kc($Row2['Consumption']).'</td></tr>';
    }
    $Output .= '<tr style="font-weight: Bold;"><td><strong>Celkem</strong></td><td align="right">'.$CelkovaSpotreba.'</td><td align="right">'.$this->System->Modules['Finance']->W2Kc($CelkovaSpotreba).'</td></tr>';
    $Output .= '</table></div>';
    $Output .= 'Dohodnutá cena za jednu kWh: <strong>'.$Finance->kWh.' Kč</strong><br />';
    return($Output);
  }
}
