<?php

class PageFinance extends Page
{
  var $FullTitle = 'Přehled financování sítě';
  var $ShortTitle = 'Přehled financí';
  var $ParentClass = 'PagePortal';
  
  function Show()
  {
    $Finance = $this->System->Modules['Finance'];
    $Finance->LoadMonthParameters(0);
    $Output = '<table><tr><td valign="top">';
    
    $Output .= '<a href="'.$this->System->Link('/finance/mesicni-prehledy/').'">Měsíční přehledy</a><br />';
    $Output .= '<a href="'.$this->System->Link('/finance/sluzby/').'">Přehled nabízených služeb</a><br />';
    $Output .= '<a href="'.$this->System->Link('/finance/zarizeni/').'">Výpis zařízení</a><br />';
    if($this->System->User->CheckPermission('Finance', 'SubjectList')) 
      $Output .= '<a href="'.$this->System->Link('/finance/zakaznici/').'">Seznam zákazníků</a><br />';
    $Output .= '<a href="'.$this->System->Link('/finance/spotreba/').'">Spotřeba energie</a><br />';
    //$Output .= '<a href="'.$this->System->Config['Web']['RootFolder'].'/aktuality/index.php?category=9">Investice v síti</a><br />';
    
    $Output .= '<br /><strong>Souhrn:</strong><br />';

    $DbResult = $this->Database->query('SELECT * FROM FinanceMonthlyOverall ORDER BY Date DESC LIMIT 0,1');
    $Row = $DbResult->fetch_array();
    $Output .= 'Platba za internetovou linku ('.$Finance->RealMaxSpeed.'/'.$Finance->RealMaxSpeed.' kbit/s): <strong>'.$Finance->Internet.' Kč</strong><br />';
    $Output .= 'Počet registrovaných klientů: <strong>'.$Finance->InternetUsers.'</strong><br />';
    $Output .= 'Počet platících klientů: <strong>'.$Finance->PayingUsers.'</strong><br />';

    //$DbResult = $this->Database->query('SELECT SUM(Price) FROM Product WHERE Used=1');
    //$Row4 = $DbResult->fetch_array();
    //$Output .= 'Celková cena zařízení sítě: <strong>'.$Row4[0].' Kč</strong><br />';

    //$DbResult = $this->Database->query('SELECT SUM(MemberPayment.Cash) AS Cash FROM MemberPayment JOIN Member ON Member.Id=MemberPayment.Member WHERE Member.Blocked=0');
    $DbResult = $this->Database->query('SELECT SUM(Cash) AS Cash FROM MemberPayment');
    $Row4 = $DbResult->fetch_array();
    $Output .= 'Celkem peněz na účtech: <strong>'.round($Row4[0]).' Kč</strong><br />';
    $Output .= 'Stanovená cena jedné kWh: <strong>'.$Finance->kWh.' Kč</strong><br />';
    //echo('Komunitou stanovený poplatek za správu sítě pro jednoho uživatele: <strong>'.$Sprava.' Kč</strong><br />');
    $DbResult = $this->Database->query('SELECT SUM(FamilyMemberCount) AS Family FROM Member');
    $Family = $DbResult->fetch_assoc();
    $Family = $Family['Family'];
    $TotalFamily = 600;
    $Output .= 'V připojených domácnostech celkem <strong>'.$Family.'</strong> občanů ze všech <strong>'.$TotalFamily.'</strong> ('.round($Family / $TotalFamily * 100).' %)<br />';
    $Output .= 'IČ: <strong>75904535</strong><br />'.
    'DIČ: <strong>CZ8303255884</strong><br />'.
    'Bankovní spojení pro platby v CZK v ČR: <strong>2600134781 / 2010</strong><br/>'.
    'Bankovní spojení pro platby v EUR v SR: <strong>2600134781 / 8330</strong><br/>'.
    '<br />';

    $Output .= '</td><td valign="top">';

    $UsersPayment = $Finance->TotalInternetPaid;
    $NetworkManagement = $Finance->Sprava * $Finance->SpravaUsers;
    $TotalGain = 0;
    $TotalExpense = 0;
    $DbResult = $this->Database->query('SELECT SUM(Product.Consumption) * StockItem.Amount FROM StockItem '.
      'JOIN Product ON Product.Id=StockItem.Product WHERE (StockItem.TimeElimination IS NULL)');
    $Row = $DbResult->fetch_array();
    $TotalConsumption = $this->System->Modules['Finance']->W2Kc($Row[0]);

    $Output .= 'Měsíční vyúčtování:<br />
    <table class="WideTable">
    <tr><th>Položka</th><th>Cena [Kč]</th></tr>
    <tr><th colspan="2">Příjmy</th></tr>';
    $Output .= '<tr><td>Poplatky účastníků za internet</td><td align="right">'.$UsersPayment.'</td></tr>';
    $TotalGain += $UsersPayment;
    $Output .= '<tr><td><strong>Celkem</strong></td><td align="right"><strong>'.$TotalGain.'</strong></td></tr>';
    $Output .= '<tr><th colspan="2">Výdaje</th></tr><tr><td>Internet</td><td align="right">'.$Finance->Internet.'</td></tr>';
    $TotalExpense += $Finance->Internet;
    $Output .= '<tr><td>Správa sítě</td><td align="right">'.$NetworkManagement.'</td></tr>';
    $TotalExpense += $NetworkManagement;
    $Output .= '<tr><td>Spotřeba energie</td><td align="right">'.$TotalConsumption.'</td></tr>';
    $TotalExpense += $TotalConsumption;
    $Output .= '<tr><td><strong>Celkem</strong></td><td align="right"><strong>'.$TotalExpense.'</strong></td></tr>';
    $Output .= '<tr><td colspan="2">&nbsp;</td></tr>';
    $Output .= '<tr><td><strong>Rozdíl</strong></td><td align="right"><strong>'.($TotalGain - $TotalExpense).'</strong></td></tr>';
    $Output .= '<tr><td>Investice</td><td align="right">'.($TotalGain - $TotalExpense).'</td></tr>';
    $Output .= '</table><br />';
    /* $DbResult = $this->Database->select('', 'cash', 'id='.$Finance->UserIdNetwork);
    $Row = $DbResult->fetch_array();
    $NetworkCash = $Row['cash'];
    $Output .= 'Stav účtu sítě: '.$NetworkCash.' Kč<br /><a href="clenove.php?show=user&amp;id='.$Finance->UserIdNetwork.'">Výpis účtu</a><br />';*/

    $Output .= '</td></tr></table>';

/*
echo('Poplatek je odečten z účtu vždy první den v měsíci. Peníze noste nejlépe předem.<br /><br />');
echo('<strong>Jak se rozpočítávají finance</strong><br />Internet i zařízení sítě se platí za domácnost. Systém výpočtu vychází z topologie sítě. Síť má stromovou topologii přičemž listy stromu jsou jednotliví uživatelé a kořen stromu je linka do internetu. Dosavadní systém je uzpůsoben tak, aby linky, které jsou nejvíce zatíženy, byly nejlépe zaplaceny a mohlo na nich tak být dražší a výkonější zařízení. Nejvytíženější linky se nazývají páteřní. Proto platí každý uživatel podílově zařízení, které vede od něj až ke kořenu stromu, což je v našem případě server Centrála s trvalým internetovým připojením. Pro jednoduchost je síť rozdělena na segmenty. Segment je část sítě, kterou využívá konstantní počet uživatelů. Každý segment je tvořen skupinou zařízení a má svoji celkovou cenu. Každý uživatel je přirozeně napojen na některý ze segmentů. Podíl klienta na zařízení sítě je vypočten jako součet podílů na jednotlivých segmentech směrem ke kořenu. Podíl na segmentu znamená celková cena segmentu podělená počtem uživatelů využívajících daný segment.<br />');
*/
    return($Output);
  }
}
