<?php
 
define('GPC_TYPE_REPORT', '074');
define('GPC_TYPE_ITEM', '075');
 
class GPC
{
  function ParseLine($Line)
  {  
    $Line = ' '.$Line;
    $Type = substr($Line, 1, 3);                                                    
 
    if($Type == GPC_TYPE_REPORT)
    {
      $GPCLine = array
      (
        'Type' => GPC_TYPE_REPORT,
        'AccountNumber' => substr($Line, 4, 16),
        'AccountName' => trim(substr($Line, 20, 20)),
        'OldBalanceDate' => mktime(0, 0, 0, substr($Line, 42, 2), substr($Line, 40, 2), '20'.substr($Line, 44, 2)),
        'OldBalanceValue' => (substr($Line, 60, 1).substr($Line, 46, 14)) / 100, 
        'NewBalanceValue' => (substr($Line, 75, 1).substr($Line, 61, 14)) / 100,
        'DebitValue' => (substr($Line, 90, 1).substr($Line, 76, 14)) / 100,    
        'CreditValue' => (substr($Line, 105, 1).substr($Line, 91, 14)) / 100,    
        'SequenceNumber' => intval(substr($Line, 106, 3)),
        'Date' => mktime(0, 0, 0, substr($Line, 111, 2), substr($Line, 109, 2), '20'.substr($Line, 113, 2)),
        //'DataAlignment' => substr($Line, 115, 14),
        'CheckSum' => sha1(md5($Line).$Line),
      );
    } else    
    if($Type == GPC_TYPE_ITEM)
    {    
      $GPCLine = array
      (
        'Type' => GPC_TYPE_ITEM,
        'AccountNumber' => substr($Line, 4, 16),
        'OffsetAccount' => substr($Line, 20, 16), 
        'RecordNumber' => substr($Line, 36, 13), 
        'Value' => substr($Line, 49, 12) / 100,
        'Code' => substr($Line, 61, 1),    
        'VariableSymbol' => intval(substr($Line, 62, 10)),
        'BankCode' => substr($Line, 74, 4),
        'ConstantSymbol' => intval(substr($Line, 78, 4)),
        'SpecificSymbol' => intval(substr($Line, 82, 10)), 
        'Valut' => substr($Line, 92, 6),
        'ClientName' => substr($Line, 98, 20), 
        //'Zero' => substr($Line, 118, 1),
        'CurrencyCode' => substr($Line, 119, 4),
        'DueDate' => mktime(0, 0, 0, substr($Line, 125, 2), substr($Line, 123, 2), substr($Line, 127, 2)),
        'CheckSum' => sha1(md5($Line).$Line),
      );
    } else 
    $GPCLine = NULL;
 
    return($GPCLine);
  }
}
