<?php

class PageNetworkAdministration extends Page
{
  function __construct($System)
  {
    parent::__construct($System);
    $this->FullTitle = 'Administrace sítě';
    $this->ShortTitle = 'Administrace sítě';
    $this->ParentClass = 'PageNetwork';
  }

  function Show()
  {
    if(!$this->System->User->CheckPermission('Network', 'Administration')) return('Nemáte oprávnění');
    $Output = '';
    if(array_key_exists('Action', $_GET))
    {
      if($_GET['Action'] == 'SendEmail')
      {
        $Form = new Form('Email');
        $Form->OnSubmit = '?Action=SendEmail2';
        $Output = $Form->ShowEditForm();
      } else
      if($_GET['Action'] == 'SendEmail2')
      {
        $Form = new Form('Email');
        $Form->LoadValuesFromForm();
        $Result = $this->System->EmailQueue->AddItem($Form->Values['Address'], 
          $Form->Values['Subject'], $Form->Values['Content'], 
          $this->System->Config['Web']['Admin'].' <'.$this->System->Config['Web']['AdminEmail'].'>');
        $Output = $this->SystemMessage('Vložení emailu', 'Nový email byl vložen do fronty');
      }
      if($_GET['Action'] == 'ProcessEmailQueue')
      {
        $Output = $this->System->EmailQueue->Process();
        $Output = $this->SystemMessage('Zpracování fronty emailů', 'Nové emaily byly odeslány').$Output;
      }
    } else
    $Output = 
      //'<a href="'.$this->System->Config['Web']['RootFolder'].'/network/dostupnost.php">Dostupnost sítě</a><br />'.
      '<a href="?Action=SendEmail">Zaslat email</a><br />'.
      '<a href="?Action=ProcessEmailQueue">Zpracovat frontu emailů</a><br />';
    return($Output);
  }
}
