<?php

class PageWebcam extends Page
{
  var $FullTitle = 'Webová kamera';
  var $ShortTitle = 'Kamera';
  var $ParentClass = 'PagePortal';
  
  function Show()
  {
    if(file_exists($this->System->ModuleManager->Modules['WebCam']->ImageFileName))
    {
      $Output = '<script language="JavaScript">
      var ImageURL = "'.$Config['Web']['RootFolder'].'/webcam/'.$this->System->Modules['Webcam']->ImageFileName.'";

      // Force an immediate image load
      var theTimer = setTimeout("reloadImage()", 1);

      function reloadImage() 
      {
        theDate = new Date();
        var url = ImageURL;
        url += "?dummy=";
        url += theDate.getTime().toString(10);
        // The above dummy cgi-parameter enforce a bypass of the browser image cache.
        // Here we actually load the image
        document.theImage.src = url;

        // Reload the image every defined period
        theTimer = setTimeout("reloadImage()", '.($Config['Web']['WebcamRefresh'] * 1000).');
      }
      </script>';

      $Output .= '<br /><div align="center"><img name="theImage" src="" idth="640" height="480" alt="Webcam image"><br>Poslední aktualizace: '.date('j.n.Y G:i', filemtime($this->System->Modules['Webcam']->ImageFileName)).'<br>Obnovování po '.$Config['Web']['WebcamRefresh'].' sekundách</div><br />';
    } else $Output = '<br />Obrázek nenalezen.<br /><br />';

    $Output .= '<strong>Kamery v okolí:</strong><br />'.
      '<a href="http://www.mestovsetin.cz/vismo/dokumenty2.asp?id_org=18676&id=480245">Webové kamery ve Vsetíně</a><br />';

    return($Output);
  }
}

class ModuleWebCam extends AppModule
{
  var $ImageFileName = 'webcam.jpg';

  function __construct($System)
  {
    parent::__construct($System);
    $this->Name = 'WebCam';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPL';
    $this->Description = 'Web camera image presentetation';
    $this->Dependencies = array();
    $this->SupportedModels = array();
  }
  
  function Start()
  {
    parent::Start();
    $this->System->Pages['webcam'] = 'PageWebcam';
  }  

 function ShowImage()
  {
    global $Config;
    $Output = '';
    $Output = '<a href="http://www.zdechov.net/kamery/?id=1"><img alt="Webkamera školní hřiště" width="140" height="105" src="http://www.zdechov.net/images/webcam/webcam.jpg" /></a>';
    $Output .= '<a href="http://www.zdechov.net/kamery/?id=2"><img alt="Webkamera střed obce obloha" width="140" height="105" src="http://www.zdechov.net/images/webcam/webcam2.jpg" /></a>';
    $Output .= '<a href="http://www.zdechov.net/kamery/?id=3"><img alt="Skiareál, motokrosová grapa" width="140" height="79" src="http://www.zdechov.net/images/webcam/webcam3.jpg" /></a>';
    $Output .= '<a href="http://www.zdechov.net/kamery/?id=4"><img alt="Fotbalové hřiště" width="140" height="79" src="http://www.zdechov.net/images/webcam/webcam4.jpg" /></a>';
 	  return($Output);   
  }  
}
